Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class TileMapData

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.TileMapData

    public class TileMapData

extends java.lang.Object

TileMapData - data for TileMap

Author:
  Hugues Johnson

Field Summary
`static int` | `DEFAULT_TYPE` Default tile type (TYPE_NORMAL).
`static int` | `TYPE_EVENT` Tile that has some event associated to it.
`static int` | `TYPE_EXIT` Tile that exits the map.
`static int` | `TYPE_NORMAL` Tile you walk over with no effect on anything.
`static int` | `TYPE_SOLID` Solid tile.

Constructor Summary
`TileMapData(int tile)` Creates a new instance of TileMapData.
`TileMapData(int tile, int type)` Creates a new instance of TileMapData.
`TileMapData(int tile, int type, java.lang.Object object)` Creates a new instance of TileMapData.

Method Summary
`java.lang.Object` | `getObject()` Retuns the object that is standing on this tile.
`int` | `getTile()` Returns the index of tile in array or list of tiles.
`int` | `getType()` Returns the tile type, one of types defined in public constants.
`void` | `setObject(java.lang.Object object)` Sets the object that is standing on this tile.
`void` | `setTile(int tile)` Sets the index of tile in array or list of tiles.
`void` | `setType(int type)` Set the tile type, one of types defined in public constants.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NORMAL

    public static final int TYPE_NORMAL

  Tile you walk over with no effect on anything.

  See Also:
    Constant Field Values

### TYPE_EXIT

    public static final int TYPE_EXIT

  Tile that exits the map.

  See Also:
    Constant Field Values

### TYPE_EVENT

    public static final int TYPE_EVENT

  Tile that has some event associated to it.

  See Also:
    Constant Field Values

### TYPE_SOLID

    public static final int TYPE_SOLID

  Solid tile.

  See Also:
    Constant Field Values

### DEFAULT_TYPE

    public static final int DEFAULT_TYPE

  Default tile type (TYPE_NORMAL).

  See Also:
    Constant Field Values

Constructor Detail

### TileMapData

    public TileMapData(int tile)

  Creates a new instance of TileMapData.

  Parameters:
    `tile` - The index of tile in array or list of tiles.

### TileMapData

    public TileMapData(int tile,
                       int type)

  Creates a new instance of TileMapData.

  Parameters:
    `tile` - The index of tile in array or list of tiles.
    `type` - One of types defined in public constants.

### TileMapData

    public TileMapData(int tile,
                       int type,
                       java.lang.Object object)

  Creates a new instance of TileMapData.

  Parameters:
    `tile` - The index of tile in array or list of tiles.
    `type` - One of types defined in public constants.
    `object` - The object that is standing on this tile.

Method Detail

### getTile

    public int getTile()

  Returns the index of tile in array or list of tiles.

  Returns:
    The index of tile in array or list of tiles.

### setTile

    public void setTile(int tile)

  Sets the index of tile in array or list of tiles.

  Parameters:
    `tile` - The index of tile in array or list of tiles.

### getType

    public int getType()

  Returns the tile type, one of types defined in public constants.

  Returns:
    The tile type.

### setType

    public void setType(int type)

  Set the tile type, one of types defined in public constants.

  Parameters:
    `type` - One of types defined in public constants.

### getObject

    public java.lang.Object getObject()

  Retuns the object that is standing on this tile.

  Returns:
    The object that is standing on this tile.

### setObject

    public void setObject(java.lang.Object object)

  Sets the object that is standing on this tile.

  Parameters:
    `object` - The object that is standing on this tile.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson